Friday, November 18, 2011

Upgrading Groovy in NetBeans IDE 7.1

NetBeans Groovy plugin comes with version 1.6.4. At the time of this writing Groovy is up to version 1.8.4.

Good news - you can use the newer version!

To upgrade Groovy, download and install Groovy 1.8.4. Run NetBeans and go to Tools>>Libraries and click "Add Jar/Folder" button. Add the "groovy-all-1.8.4.jar" file from the Groovy 1.8.4 installation located in Groovy/Groovy-1.8.4/embeddable/ and name the library "Groovy 1.8.4". Now you can delete the Groovy 1.6.4 libraries from your project and add the Groovy 1.8.4 libraries.

You're all set!

1 comment: